Name: gimp-saveforweb-plugin
Version: 0.29.3
Release: %mkrel 1
Summary: Save for web plug-in for GIMP
Group: Graphics/Utilities
License: GPLv2+
URL: http://registry.gimp.org/node/33
Source0: http://registry.gimp.org/files/gimp-save-for-web-%{version}.tar.bz2
Patch0000: gimp-saveforweb-plugin-fsf.patch
Patch0001: 0001-Changed-all-Save-entries-to-Export-moved-the-menu-item-to-the-Export-subgroup.patch
Patch0002: 0002-Updated-Russian-translation-to-match-the-introduced-changes.patch
Patch0003: 0003-Allow-still-larger-images.patch

BuildRequires: gimp-devel >= 2.4.0
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gettext

Requires: gimp >= 2.4

%description
Save for Web allows to find compromise between minimal file size
and acceptable quality of image quickly. While adjusting various
settings, you may explore how image quality and file size change.
Options to reduce file size of an image include setting compression
quality, number or colors, resizing, cropping, Exif information
removal, etc.

%prep
%setup -q -n gimp-save-for-web-%{version}
%autopatch -p1

%build
%configure2_5x
%make_build

%install
%make_install

%find_lang gimp20-save-for-web

%files -f gimp20-save-for-web.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/gimp/2.0/plug-ins/webexport
%{_datadir}/gimp-save-for-web


%changelog
* Sun Feb 21 2016 wally <wally> 0.29.3-1.mga6
+ Revision: 975106
- cherry pick interesting patches from github
- imported package gimp-saveforweb-plugin based on .spec from RussianFedora (mga#17705)

